summaryrefslogtreecommitdiff
path: root/pcr/apertium/apertium-ht-en
diff options
context:
space:
mode:
authorGaming4JC <g4jc@openmailbox.org>2016-05-31 17:38:19 -0400
committerGaming4JC <g4jc@openmailbox.org>2016-05-31 17:38:19 -0400
commit82d053b14aa5a46da43e14ae72fdb9ec614aae3e (patch)
treec56c56ab29dc22cfad0996cfe1a1706539b3a752 /pcr/apertium/apertium-ht-en
parent5281e4b89dbde5ee96c21c1e45ec708d1af937a8 (diff)
adding apertium and dependencies
Diffstat (limited to 'pcr/apertium/apertium-ht-en')
-rw-r--r--pcr/apertium/apertium-ht-en/PKGBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/pcr/apertium/apertium-ht-en/PKGBUILD b/pcr/apertium/apertium-ht-en/PKGBUILD
new file mode 100644
index 000000000..6f3e3627e
--- /dev/null
+++ b/pcr/apertium/apertium-ht-en/PKGBUILD
@@ -0,0 +1,34 @@
+# Contributor: Kevin Brubeck Unhammer <unhammer@gmail.com>
+# Maintainer: Kevin Brubeck Unhammer <unhammer@gmail.com>
+pkgname=apertium-ht-en
+pkgver=0.1.0
+pkgrel=1
+pkgdesc="Apertium language data for the Haitian Creole-English translator."
+url="http://apertium.org"
+license=('GPL')
+makedepends=('pkgconfig')
+depends=('lttoolbox>=3.0' 'apertium>=3.0')
+arch=('i686' 'x86_64')
+source=("http://downloads.sourceforge.net/sourceforge/apertium/${pkgname}-${pkgver}.tar.gz"
+ "Makefile.am.patch"
+ "Makefile.in.patch"
+ "t1x.patch")
+md5sums=('73d6dbbb2c1ad50b8e6c5428f4fc7a9e'
+ 'e99487bbc9df970596882bdc1b152218'
+ '8625b7f9ee07b3696e71a49129db01fd'
+ 'b8f420edd5577fabef485dcb6d08a5e6')
+
+build() {
+ patch -p0 < Makefile.am.patch
+ patch -p0 < Makefile.in.patch
+ # remove the c (comment) attribute, not in the DTD in apertium<=3.1.1:
+ patch -p0 < t1x.patch
+
+ mkdir -p "$pkgdir/usr/share/apertium/modes"
+
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+} \ No newline at end of file